#!/usr/bin/env bash
USERNAME=`whoami`
bin=`dirname "${BASH_SOURCE-$0}"`
bin=`cd "$bin"; pwd`
USERNAME=`whoami`
WORKER_PREFIX=`dirname "$bin"`
PID="${WORKER_PREFIX}/agent.pid"

if [ -f ${PID} ]; then
    TARGET_PID=`cat ${PID}`
    kill -15 ${TARGET_PID}
    rm ${PID}

    echo "Agent(pid:${TARGET_PID}) stopped successful."
else
    echo "Agent stopped failed! (no agent is found)"
fi
